## f_test

#### OS/161 Reference Manual

### Name

f_test - basic concurrent filesystem test

### Synopsis

`/testbin/f_test` [`1`|`2`|`3`]

### Description

`f_test` consists of three tests, 1-3, that can be specified on the command line. If nothing is specified, all three tests are run.

Test 1 writes a large file (a bit over 270k) and reads it back.

Test 2 creates and removes a directory tree, rather like dirtest.

Test 3 spawns three subprocesses that simultaneously read and write the same file.

### Requirements

`f_test` uses the following system calls:

- fork
- execv
- waitpid
- open
- read
- write
- close
- mkdir
- rmdir
- remove
- _exit

`f_test` should run correctly once the file system assignment is complete.